## fastjar 0.98

=== debian/changelog ===
fastjar (2:0.98-7) unstable; urgency=medium

  * Bump standards and debhelper versions. Closes: #965515.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2020 11:39:08 +0200

fastjar (2:0.98-6) unstable; urgency=medium

  * Enable parallel builds.
  * Build using dh-autoreconf.
  * Convert to package format 3.0.
  * Fix #45982: fastjar corrupts last file in archive if updated.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Sep 2015 22:58:05 +0200

fastjar (2:0.98-5) unstable; urgency=low

  * Make the package Multi-Arch foreign.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Jun 2013 22:10:16 +0200

fastjar (2:0.98-4) unstable; urgency=low

  * Build with hardening flags.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Sep 2012 15:17:14 +0200

fastjar (2:0.98-3) unstable; urgency=medium

  * Apply patch from the trunk:
    - jartool.c (extract_jar): Fix up checks for traversal to parent
      directories, disallow absolute paths, make the code slightly more
      efficient.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Jun 2010 13:48:37 +0200

fastjar (2:0.98-2) unstable; urgency=low

  * Apply patches from the trunk:
    - jartool.c (read_entries): Properly zero-terminate filename.
    - jartool.c (add_file_to_jar): Fix write return value check.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Jun 2010 11:03:06 +0200

fastjar (2:0.98-1) unstable; urgency=low

  * New upstream release.
  * Bump policy version to 3.8.3.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Sep 2009 11:45:33 +0200

fastjar (2:0.97-3) unstable; urgency=low

  * Fix segfault in jartool.c (Arthur Loiret).
  * Revert the previous change.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Jan 2009 12:43:59 +0100

fastjar (2:0.97-2) unstable; urgency=medium

  * Build with -O0 on ia64 (segfaults with -O1 and higher).

 -- Matthias Klose <doko@debian.org>  Fri, 09 Jan 2009 14:51:04 +0100

fastjar (2:0.97-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2008 05:58:19 +0100

fastjar (2:0.95-4) unstable; urgency=high

   * Fix reallocation for command line expansion (Xerxes Ranby).
     Closes: #499015.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2008 20:20:48 +0000

fastjar (2:0.95-3) unstable; urgency=medium

   * fastjar: Only create META-INF dir when a new manifest is created,
     not on updates (Dalibor Topic). Closes: #489418. LP: #267177.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Sep 2008 18:48:18 +0000

fastjar (2:0.95-2) unstable; urgency=medium

  * Implement @file support.
  * Implement proper directory extracting (Joshua Sumali).
  * fastjar can now be used to build openjdk-6/cacao-oj6.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2008 12:20:25 +0000

fastjar (2:0.95-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Apr 2007 00:23:33 +0200

fastjar (2:0.95-0) experimental; urgency=low

  * fastjar-0.95 release.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Feb 2007 02:24:35 +0100

fastjar (2:0.95~pre1-1build1) feisty; urgency=low

  * Upload to feisty (package still in the Debian NEW queue).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Feb 2007 23:58:20 +0000

fastjar (2:0.95~pre1-1) experimental; urgency=low

  * Initial release; fastjar isn't built from the GCC sources anymore.
    Packaged from the savannah repository.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Feb 2007 23:49:06 +0100
