=== debian/control ===
Source: fastjar
Section: misc
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 10), texinfo, zlib1g-dev, dh-autoreconf
Standards-Version: 4.5.0

Package: fastjar
Architecture: any
Multi-Arch: foreign
Depends: dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Description: Jar creation utility
 Replacement for Suns .jar creation program.  It is written in C
 instead of java and is tons faster.
